'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-2a6e6244.js');
const index_esm_min = require('./index.esm.min-a750ede4.js');

const bpSdkQuestionSetButtonCss = "";

let BpSdkQuestionSetButton = class {
  constructor(hostRef) {
    index.registerInstance(this, hostRef);
    this.saveQuestionSet = index.createEvent(this, "saveQuestionSet", 7);
    /**
     * Text to be displayed
     */
    this.text = '';
    /**
     * Id for button
     */
    this.buttonId = index_esm_min.ix(8);
    /**
     * Controls disabled state of button
     */
    this.buttonDisabled = false;
    this.useExternal = false;
    this.cssClasses = 'bp-sdk-question-set-button__container';
  }
  resetState() { }
  connectedCallback() {
    this.resetState();
  }
  componentWillLoad() {
    this.useExternal = !!customElements.get('bp-sdk-external-question-set-button');
    customElements.whenDefined('bp-sdk-external-question-set-button').then(() => {
      this.useExternal = true;
    });
    this.calculateButtonClasses(this.extraCssClasses);
  }
  calculateButtonClasses(extraClasses = '') {
    this.cssClasses = `bp-sdk-question-set-button__container ${extraClasses}`;
  }
  render() {
    return [this.useExternal && this.renderExternal(), !this.useExternal && this.renderInternal()];
  }
  renderExternal() {
    return index.h("bp-sdk-external-question-set-button", { buttonDisabled: this.buttonDisabled, buttonId: this.buttonId, text: this.text });
  }
  renderInternal() {
    return index.h("bp-sdk-button", { buttonDisabled: this.buttonDisabled, buttonId: this.buttonId, class: this.cssClasses, text: this.text });
  }
  static get watchers() { return {
    "extraCssClasses": ["calculateButtonClasses"]
  }; }
};
BpSdkQuestionSetButton.style = bpSdkQuestionSetButtonCss;

exports.bp_sdk_question_set_button = BpSdkQuestionSetButton;
